Subject: [PATCH] oprofile, arm: proper release resources on failure

From: [email-masked] (Robert Richter)
Date: Wed, 29 Sep 2010 19:39:47 +0200

On 29.09.10 13:32:58, Will Deacon wrote:
> Robert,
> 
> On Wed, 2010-09-29 at 17:59 +0100, Robert Richter wrote:
> > On 29.09.10 18:50:27, Robert Richter wrote:
> > 
> > > > Hmm, these three hunks conflict with the patches I posted last
> > > > month to fix the resource allocation and freeing. Can't we
> > > > merge those patches instead? I have versions against -rc6 here:
> > >
> > > Yes, these patches are also in my oprofile/core branch and its changes
> > > conflict, but are scheduled for the next merge window. This fix is for
> > > urgent and for 2.6.36. We will then merge back rc7 or 2.6.36 to
> > > oprofile/core and solve the conflicts. But if you don't have something
> > > else for -rc7/.36 that conflicts, this should be ok.
> > 
> > So, it would be ok then to test only this fix on -rc6 without your
> > other patches.
> > 
> 
> Gotcha - this is a minimal fixup for -stable which we'll tackle properly
> in the merge window with the stuff in oprofile/core. In that case I'm
> happy for this to go upstream now:
> 
> Acked-by: Will Deacon <[email-masked]>
> 
> 
> I also built an -rc6 kernel with this change on top and OProfile worked
> happily across module loads/unloads.
> 
> As for oprofile/core; will you handle the conflicts there or do I need
> to resend my previous patches?

Yes, I will merge it after it went upstream and let you know.

-Robert

-- 
Advanced Micro Devices, Inc.
Operating System Research Center